Banking as a Service
Cancel Onboarding
Cancel an in-progress entity onboarding
POST
/
v1
/
baas
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
/
cancel
Cancel Onboarding
curl --request POST \
--url https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id}/cancelimport requests
url = "https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-01T15:00:00Z"
}
{
"code": "INVALID_STATUS",
"messages": ["Cannot cancel onboarding with terminal status"],
"http_code": 400
}
Path parameters
string
required
The entity identifier.
string
required
The onboarding identifier to cancel.
Response
Returns the onboarding object with statusCANCELLED.
{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-01T15:00:00Z"
}
{
"code": "INVALID_STATUS",
"messages": ["Cannot cancel onboarding with terminal status"],
"http_code": 400
}
⌘I
Cancel Onboarding
